CREATE TABLE `xplugin_s360_easytemplate_backups` (
  `id` bigint(20) NOT NULL,
  `backup_type` tinyint(4) NOT NULL COMMENT '1 = Preview, 2 = Standard',
  `version` varchar(50) NOT NULL,
  `upgrade_replacement` bigint(20) NOT NULL COMMENT 'Sofern das Backup bereits per Autoupdate auf eine neuere Version aktualisiert wurde, steht hier die ID des Nachfolge-Backups.',
  `timestamp` bigint(20) NOT NULL,
  `area` tinyint(4) NOT NULL COMMENT '1 = Header, 2 = Footer, 3 = Main, 4 = Start, 5 = Category, 6 = Articledetail',
  `content` longtext NOT NULL,
  `editor_sid` varchar(255) NOT NULL,
  `editor_name` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

ALTER TABLE `xplugin_s360_easytemplate_backups`
  ADD PRIMARY KEY (`id`),
  ADD KEY `backup_search` (`area`,`backup_type`,`version`);

ALTER TABLE `xplugin_s360_easytemplate_backups`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

CREATE TABLE `xplugin_s360_easytemplate_usr` (
  `area` tinyint(4) NOT NULL,
  `session_id` varchar(255) NOT NULL,
  `session_usr` varchar(255) NOT NULL,
  `timestamp` bigint(20) NOT NULL 
);

ALTER TABLE `xplugin_s360_easytemplate_usr`
  ADD PRIMARY KEY (`area`);

CREATE TABLE `xplugin_s360_easytemplate_settings` (
  `setting_name` varchar(255) NOT NULL,
  `setting_value` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `xplugin_s360_easytemplate_settings` (`setting_name`, `setting_value`) VALUES
  ('less_last_compile_timestamp', '');

ALTER TABLE `xplugin_s360_easytemplate_settings`
  ADD PRIMARY KEY (`setting_name`),
  ADD UNIQUE KEY `setting_name` (`setting_name`);
